'use client'
import useListContactStore from "@/feature/messenger/store/useListContactStore";
import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import { useTranslation } from "@/hooks/useTranslation";
import { Tooltip } from "@nextui-org/react";
import { Users } from "react-feather";

export default function ContactsButton(){

    const { trans } = useTranslation();
    const setLeftSidebar = ChatConfigContext(state => state.setLeftSidebar);
    const leftSidebar = ChatConfigContext(state => state.leftSidebar);
    const hadlerSelectContactOption = useListContactStore(state => state.hadlerSelectContactOption);

    const handleClick = () => {
        setLeftSidebar(LeftSidebarType.CONTACTS);
        hadlerSelectContactOption();
    }

    return (
        <Tooltip
          placement="right"
          content={trans('section_contacts_button_title')}
          color="default"
        >
            <div className={`${leftSidebar === LeftSidebarType.CONTACTS ? 'active-section-sidebar' : ''} cursor-pointer text-white h-14 w-full flex justify-center items-center`} onClick={handleClick}>
                <Users size={30} />
            </div>
        </Tooltip>
    )
}